# ATGMonthOrDerived Class Reference

`#include <ATGMonthOrDerived.hpp>`

Inheritance diagram for ATGMonthOrDerived:

[legend]
List of all members.

## Public Types

typedef RefCountPointer< const ATGMonthOrDerived > | Ptr

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual int | compare (const ATGMonthOrDerived::Ptr &other, const DynamicContext *context) const =0
| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.
virtual bool | hasTimezone () const =0
| Returns true if a timezone is defined for this.
virtual ATGMonthOrDerived::Ptr | setTimezone (const Timezone::Ptr &timezone, const DynamicContext *context) const =0
| Sets the timezone to the given timezone.
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Member Typedef Documentation

typedef RefCountPointer<const ATGMonthOrDerived> ATGMonthOrDerived::Ptr

| Reimplemented from DateOrTimeType.

## Member Function Documentation

virtual const XMLCh* ATGMonthOrDerived::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual int ATGMonthOrDerived::compare | ( | const ATGMonthOrDerived::Ptr & | other,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.

virtual bool ATGMonthOrDerived::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual AnyAtomicType::AtomicObjectType ATGMonthOrDerived::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATGMonthOrDerived::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATGMonthOrDerived::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATGMonthOrDerived::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual bool ATGMonthOrDerived::hasTimezone | ( |  | ) | const`[pure virtual]`

| Returns true if a timezone is defined for this. False otherwise. Implements DateOrTimeType.

virtual ATGMonthOrDerived::Ptr ATGMonthOrDerived::setTimezone | ( | const Timezone::Ptr & | timezone,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Sets the timezone to the given timezone.

The documentation for this class was generated from the following file:

- ATGMonthOrDerived.hpp